Bug 75485 - Create High PPI / HiDPI version of Sifr theme
Summary: Create High PPI / HiDPI version of Sifr theme
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 51733 92248
Blocks: HiDPI Icon-Themes-Code-SVG
  Show dependency treegraph
 
Reported: 2014-02-25 08:46 UTC by Stefan Knorr (astron)
Modified: 2019-04-24 20:35 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Knorr (astron) 2014-02-25 08:46:56 UTC
Some new computers ship with ~200 PPI displays. LibreOffice Master now scales many of its widgets correctly on such computers, but it is not possible to scale bitmap icons to look good at double the resolution.
However, all of Sifr's source SVGs are available, so it should be easy to re-export them at twice their original size.
Comment 1 Stefan Knorr (astron) 2014-02-25 08:48:34 UTC
Adding Ahmad to CC.
Comment 2 tommy27 2014-04-09 05:44:38 UTC
enhancement request. 
status --> NEW
Comment 3 Ahmad Harthi 2014-04-09 06:17:14 UTC
I'm planning to do this, but we have to make LO detect screen PPI to choose the right set of icons first.
Comment 4 gunwald 2016-02-21 17:24:06 UTC
Are there any news on this issue? This is a major bug, as it makes LibreOffice unusable on almost any new notebook.
Comment 5 andreas_k 2019-03-18 09:21:46 UTC
svg icon theme will be ready for 6.3

than we have excl. tango all icon themes available in svg.
Comment 6 Thomas Lendo 2019-04-17 22:11:11 UTC
Andreas, please stop to clean out icon meta bugs to only reduce open dependencies. The clean out harms the meta bug structure as dependencies are no longer visible.